Skip to main content
POST
/
campaigns
/
{campaignId}
/
leads
/
{leadIdOrEmail}
/
notinterested
Mark Lead as Not Interested in Campaign
curl --request POST \
  --url https://api.lemlist.com/api/campaigns/{campaignId}/leads/{leadIdOrEmail}/notinterested \
  --header 'Authorization: Basic <encoded-value>'
{
  "firstName": "John",
  "lastName": "Doe",
  "companyName": "Acme Inc",
  "jobTitle": "Growth Engineer",
  "companyDomain": "example.com",
  "email": "support@lemlist.com",
  "preferredContactMethod": "email",
  "industry": "Technology",
  "Company name": "John Doe",
  "_id": "lea_fiDpiGV585wy3Oii2",
  "isPaused": false,
  "campaignId": "cam_bSn8EORHQxbWPjHvu",
  "contactId": "ctc_xW8Ou6C03Csv8vatp",
  "emailStatus": "deliverable"
}

Documentation Index

Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

campaignId
string
required

The unique identifier of the campaign

leadIdOrEmail
string
required

The unique identifier or email of the lead

Response

Success

firstName
string
lastName
string
companyName
string
jobTitle
string
companyDomain
string
email
string<email>
preferredContactMethod
string
industry
string
Company name
string
_id
string
isPaused
boolean
campaignId
string
contactId
string
emailStatus
string
{key}
string